### Method

# Snapd App get_desktop_file

since: 1.14

#### Declaration [src]

    const gchar*
    snapd_app_get_desktop_file (
      SnapdApp* app
    )

#### Description [src]

Get the path to the desktop file for this app.

Available since: 1.14

Gets property | `Snapd.App:desktop-file`

#### Return value

Type: `const gchar*`

A path or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.